### Method

# GdkX11 X11Display error_trap_push

deprecated: 4.18

#### Declaration [src]

    void
    gdk_x11_display_error_trap_push (
      GdkDisplay* display
    )

#### Description [src]

Begins a range of X requests on `display` for which X error events will be ignored. Unignored errors (when no trap is pushed) will abort the application. Use `gdk_x11_display_error_trap_pop()` or gdk_x11_display_error_trap_pop_ignored()to lift a trap pushed with this function.

Deprecated since: 4.18

Please do not use it in newly written code.